SWAYKBDD(1)

NAME
swaykbdd - keyboard layout switcher for Sway

SYNOPSIS
swaykbdd [OPTIONS...]

DESCRIPTION
The swaykbdd utility can be used to automatically change the keyboard layout on a per-window basis.

For automatic start add to the Sway config file the following command: `exec swaykbdd`.

OPTIONS

-h, --help
    Display help message.

-v, --version
    Display version information.

-d, --default=ID
    Set the default keyboard layout for new windows. ID is an index of layout, default is 0, special value -1 can be used to disable set the layout for new windows (currently active layout will be used instead).

-t, --timeout=MS
    Ignored time between layout change and focus lost events, in milliseconds. The default value is 50.

ENVIRONMENT

SWAYSOCK
    Path to the socket file used for Sway IPC.

BUGS
For suggestions, comments, bug reports etc. visit the project homepage (https://github.com/artemsen/swaykbdd).